VERSION 5.00
Begin VB.Form Screen 
   Caption         =   "3270 Screen Data for terminal"
   ClientHeight    =   8340
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   11970
   LinkTopic       =   "Form1"
   ScaleHeight     =   8340
   ScaleWidth      =   11970
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox cursorloc 
      Height          =   375
      Left            =   8400
      TabIndex        =   14
      Top             =   7680
      Width           =   1455
   End
   Begin VB.TextBox HashFld 
      Height          =   375
      Left            =   6720
      TabIndex        =   10
      Top             =   7680
      Width           =   1095
   End
   Begin VB.TextBox inputflds 
      Height          =   375
      Left            =   5640
      TabIndex        =   8
      Top             =   7680
      Width           =   735
   End
   Begin VB.TextBox numflds 
      Height          =   375
      Left            =   4320
      TabIndex        =   5
      Top             =   7680
      Width           =   855
   End
   Begin VB.TextBox nexttran 
      Height          =   375
      Left            =   2880
      TabIndex        =   2
      Top             =   7680
      Width           =   855
   End
   Begin VB.TextBox transid 
      Height          =   405
      Left            =   1200
      TabIndex        =   1
      Top             =   7680
      Width           =   855
   End
   Begin VB.TextBox Scrdata 
      BeginProperty Font 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   6255
      Left            =   840
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      ToolTipText     =   "3270 Screen Buffer"
      Top             =   600
      Width           =   10095
   End
   Begin VB.Label Label8 
      Caption         =   "Cursor Location"
      Height          =   255
      Left            =   8520
      TabIndex        =   13
      Top             =   7200
      Width           =   1335
   End
   Begin VB.Label Label7 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   6720
      TabIndex        =   12
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label Label6 
      Caption         =   "Hash Sum"
      Height          =   255
      Left            =   6720
      TabIndex        =   11
      Top             =   7200
      Width           =   1455
   End
   Begin VB.Label Label5 
      Caption         =   "3270 Screen Data for"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3960
      TabIndex        =   9
      Top             =   120
      Width           =   2895
   End
   Begin VB.Label Label4 
      Caption         =   "Input Fields"
      Height          =   255
      Left            =   5640
      TabIndex        =   7
      Top             =   7200
      Width           =   1095
   End
   Begin VB.Label Label3 
      Caption         =   "Number Fields"
      Height          =   255
      Left            =   4200
      TabIndex        =   6
      Top             =   7200
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Next Transid"
      Height          =   255
      Left            =   2880
      TabIndex        =   4
      Top             =   7200
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Transid"
      Height          =   255
      Left            =   1320
      TabIndex        =   3
      Top             =   7200
      Width           =   1215
   End
End
Attribute VB_Name = "Screen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()
    Label7.Caption = login.term3270.termname
    Me.Caption = Me.Caption & login.term3270.termname
End Sub
Public Sub Update_Screen_View()
    Dim scr As String
    Dim scrimg As String
    Dim scrline As String
    Dim rows As Integer
    Dim cols As Integer
    Dim hash As Integer
    Dim cursorrow As Integer
    Dim cursorcol As Integer
    Dim cursor As Integer
    Dim rc As Integer
    Dim nextloc As Long
    Dim sngEndTime As Single
    
    ' Get the number of rows and columns on the screen
    rows = login.term3270.rows
    cols = login.term3270.Columns
    
    ' Get the screen data as a string
    scr = login.term3270.GetScreenImage("", "")
    
    If rc = 0 Then
        scrimg = ""
        ' Write a ruler line to help locate fields
        For i = 1 To 8
            scrimg = scrimg & "1234567890"
        Next
        
        ' Break up the string into rows
        For i = 0 To rows - 1
            scrimg = scrimg & vbCr & vbLf
            nextloc = (i * cols) + 1
            scrline = Mid(scr, nextloc, cols)
            scrimg = scrimg & scrline
        Next
    
        ' update the text box
        Scrdata.Text = scrimg
    Else
        Scrdata.Text = "Unable to get screen image"
    End If
    
    ' update the other form variables
    hash = login.term3270.GetScreenSum
    HashFld.Text = login.term3270.GetScreenSum
    transid.Text = login.term3270.transid
    nexttran.Text = login.term3270.nextransid
    numflds.Text = login.term3270.numberFields
    inputflds.Text = login.term3270.numberUnprotFields
    cursor = login.term3270.GetCursorLoc()
    cursorrow = (cursor \ cols) + 1
    cursorcol = (cursor Mod cols) + 1
    
    cursorloc.Text = "(" & cursorrow & "," & cursorcol & ")"
    ' Sleep for two seconds
    sngEndTime = Timer + 3
    Do
        DoEvents    ' Be polite - let other things run
    Loop Until Timer >= sngEndTime
End Sub
