VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.2#0"; "comctl32.ocx"
Begin VB.Form Main 
   Caption         =   "3270 Screen Data for terminal"
   ClientHeight    =   7905
   ClientLeft      =   1125
   ClientTop       =   1770
   ClientWidth     =   13935
   LinkTopic       =   "Form1"
   ScaleHeight     =   7905
   ScaleWidth      =   13935
   Begin VB.CommandButton traceapp_button 
      Caption         =   "App"
      Height          =   375
      Left            =   9480
      TabIndex        =   21
      ToolTipText     =   "Turn trace on, appending to the existing file"
      Top             =   7080
      Width           =   495
   End
   Begin ComctlLib.StatusBar StatusBar 
      Align           =   2  'Align Bottom
      Height          =   255
      Left            =   0
      TabIndex        =   20
      Top             =   7650
      Width           =   13935
      _ExtentX        =   24580
      _ExtentY        =   450
      SimpleText      =   ""
      _Version        =   327682
      BeginProperty Panels {0713E89E-850A-101B-AFC0-4210102A8DA7} 
         NumPanels       =   9
         BeginProperty Panel1 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "transid"
            Object.Tag             =   "Transid"
            Object.ToolTipText     =   "Currently executing CICS transaction"
         EndProperty
         BeginProperty Panel2 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "nextransid"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Next Transaction to be run"
         EndProperty
         BeginProperty Panel3 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "numflds"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Total number of fields on screen"
         EndProperty
         BeginProperty Panel4 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "numunprotflds"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Number of unprotected (input) fields on screen"
         EndProperty
         BeginProperty Panel5 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "hashsum"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Hash sum of Attribute byte locations"
         EndProperty
         BeginProperty Panel6 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "cursorloc"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Cursor location relative to (0,0)"
         EndProperty
         BeginProperty Panel7 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "ApplStatus"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Application Status"
         EndProperty
         BeginProperty Panel8 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   2
            Key             =   "tracestat"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Trace Status (off or name of file)"
         EndProperty
         BeginProperty Panel9 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            Key             =   "resptime"
            Object.Tag             =   ""
            Object.ToolTipText     =   "Response time of last transaction or reply"
         EndProperty
      EndProperty
   End
   Begin VB.CommandButton Traceoff_button 
      Caption         =   "Off"
      Enabled         =   0   'False
      Height          =   375
      Left            =   9960
      TabIndex        =   19
      ToolTipText     =   "Turn the trace off"
      Top             =   7080
      Width           =   495
   End
   Begin VB.CommandButton PA3 
      Caption         =   "PA3"
      Height          =   495
      Left            =   7200
      TabIndex        =   16
      ToolTipText     =   "3270 Program Attention Key 3"
      Top             =   6960
      Width           =   495
   End
   Begin VB.CommandButton PA2 
      Caption         =   "PA2"
      Height          =   495
      Left            =   6720
      TabIndex        =   15
      ToolTipText     =   "3270 Program Attention Key 2"
      Top             =   6960
      Width           =   495
   End
   Begin VB.CommandButton pa1 
      Caption         =   "PA1"
      Height          =   495
      Left            =   6240
      TabIndex        =   14
      ToolTipText     =   "3270 Program Attention Key 1"
      Top             =   6960
      Width           =   495
   End
   Begin VB.CommandButton traceon_button 
      Caption         =   "On"
      Height          =   375
      Left            =   9000
      TabIndex        =   13
      ToolTipText     =   "Turn the trace on, overwriting the existing file"
      Top             =   7080
      Width           =   495
   End
   Begin VB.TextBox eventdata 
      BeginProperty Font 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2055
      Left            =   11040
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   11
      TabStop         =   0   'False
      ToolTipText     =   "EPI Event Trace Data"
      Top             =   5280
      Width           =   2655
   End
   Begin VB.CommandButton backtab 
      Caption         =   "&BackTab"
      Height          =   495
      Left            =   5160
      TabIndex        =   10
      ToolTipText     =   "3270 Back Tab Key"
      Top             =   6960
      Width           =   855
   End
   Begin VB.CommandButton tab 
      Caption         =   "&Tab"
      Height          =   495
      Left            =   4320
      TabIndex        =   9
      ToolTipText     =   "3270 Tab Key"
      Top             =   6960
      Width           =   855
   End
   Begin VB.CommandButton home 
      Caption         =   "&Home"
      Height          =   495
      Left            =   3480
      TabIndex        =   8
      ToolTipText     =   "3270 Home Key"
      Top             =   6960
      Width           =   855
   End
   Begin VB.CommandButton ATI 
      Caption         =   "Enable &ATI"
      Height          =   495
      Left            =   2280
      TabIndex        =   7
      ToolTipText     =   "Check for queued CICS ATI events - If there is one, start it"
      Top             =   6960
      Width           =   975
   End
   Begin VB.CommandButton clear 
      Caption         =   "&Clear"
      Height          =   495
      Left            =   1200
      TabIndex        =   6
      ToolTipText     =   "3270 Clear Key"
      Top             =   6960
      Width           =   1095
   End
   Begin VB.CommandButton Enter 
      Caption         =   "&Enter Key"
      Default         =   -1  'True
      Height          =   495
      Left            =   120
      TabIndex        =   5
      ToolTipText     =   "3270 Enter Key"
      Top             =   6960
      Width           =   1095
   End
   Begin VB.CommandButton exit 
      Caption         =   "E&xit"
      Height          =   375
      Left            =   7920
      TabIndex        =   4
      ToolTipText     =   "Exit program "
      Top             =   7080
      Width           =   855
   End
   Begin VB.TextBox flds 
      Height          =   4815
      Left            =   11160
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   3
      TabStop         =   0   'False
      Top             =   0
      Width           =   2535
   End
   Begin VB.TextBox Scrdata 
      BeginProperty Font 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   6255
      Left            =   480
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      ToolTipText     =   "3270 Screen Buffer"
      Top             =   480
      Width           =   10095
   End
   Begin VB.Label Label11 
      Caption         =   "3270 Field Definitions"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   11280
      TabIndex        =   18
      Top             =   120
      Width           =   1935
   End
   Begin VB.Label Label9 
      Alignment       =   2  'Center
      Caption         =   "Set Trace"
      Height          =   255
      Left            =   9240
      TabIndex        =   17
      Top             =   6840
      Width           =   855
   End
   Begin VB.Label Label10 
      Caption         =   "Recent EPI Events"
      Height          =   255
      Left            =   11520
      TabIndex        =   12
      Top             =   4920
      Width           =   1455
   End
   Begin VB.Label Label7 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   5880
      TabIndex        =   2
      Top             =   120
      Width           =   1455
   End
   Begin VB.Label Label5 
      Caption         =   "3270 Screen Data for"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2880
      TabIndex        =   1
      Top             =   60
      Width           =   2895
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' location of trace file
Public tracefile As String

' Terminal and Screen object
Public term3270 As api3270
    
' Current location of the 3270 cursor
Private cursorpos As Integer
Private row3270 As Integer
Private col3270 As Integer

' CICS Terminal definitions
Private net_name As String
Private cics_sys As String
Private mod_term As String

' Protected field array
' 0 = unprotected byte
' 1 = protected byte
' 2 = attribute byte (unprotected)
' 3 = attribute byte (protected)
Dim fieldprot(4095) As String

Private Sub initialize_screen()
    Dim rows As Integer
    Dim cols As Integer
    
    ' Clear the protected/unprotected array
    clear_fieldprot
    
    ' Get the number of rows and columns on the screen
    rows = term3270.rows
    cols = term3270.Columns

    ' Write a ruler line to help locate fields
    scrimg = ""
    For i = 1 To 8
        scrimg = scrimg & "1234567890"
    Next i

    ' initialize the screen to blanks
    For i = 1 To rows
        scrimg = scrimg & vbCr & vbLf
        scrimg = scrimg + Space$(cols)
    Next i
        
    ' update the text box
    Scrdata.Text = scrimg
    Scrdata.SelStart = 82   ' Skip the ruler
End Sub

Private Sub form_load()
    ' Working variables
    Dim i As Integer
    Dim j As Integer
    Dim reqexit As Integer
    Dim rc As Integer
    Dim ServName As String
    Dim scrimg As String
    Dim error_msg As String

    getcontrols Main
    form_resize Main
    
    ' Create the EPI 3270 terminal object object
    Set term3270 = New api3270

    ' initialize the terminal variables
    cics_sys = ""
    net_name = ""
    mod_term = ""
    
    ' load the terminal characteristics form
    Load terminal
    terminal.Show (1)
    
    ' retrieve the values from the terminal screen
    cics_sys = terminal.CICS_System.Text
    net_name = terminal.netname.Text
    mod_term = terminal.model_term.Text
    reqexit = terminal.exitbutton
    tracename = terminal.trcfile.Text
    
    ' Unload the form
    Unload terminal
        
    ' Check for exit request from the terminal form
    If reqexit = 1 Then
        exit_Click
    End If
    
    ' create a terminal for the selected region
    rc = term3270.CreateTerminal(cics_sys, net_name, mod_term)
    
    ' were we able to install the terminal?
    If rc <> 0 Then
        error_msg = "Cannot create terminal - return code " & Str$(rc)
        error_msg = error_msg & term3270.EPIErrorMessage(rc)
        rc = MsgBox(error_msg, vbOKOnly, "Creating Terminal")
        exit_Click
    End If

    Label7.Caption = term3270.termname
    Me.Caption = Me.Caption & term3270.termname

    initialize_screen
End Sub

Private Sub GotFocus()
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Public Sub Update_Screen_View(appstat As String)
    ' update the screen text box
    refresh_screen

    ' Update the field characteristics display
    Update_Fields
    
    ' Update the protected/unprotected table
    Update_Attr_Table
    
    update_status_bar (appstat)
    ' Set the new cursor position, allowing for the NL and LF characters and ruler
    Scrdata.SelStart = calc_real_loc
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub refresh_screen()
    Dim scrimg As String
    Dim scr As String
    Dim rc As Integer
    Dim nextloc As Long
    Dim rows As Integer
    Dim cols As Integer

    ' Get the number of rows and columns on the screen
    rows = term3270.rows
    cols = term3270.Columns
    
    ' Get the screen data as a string
    scr = term3270.GetScreenImage("", "")

    If rc = 0 Then
        scrimg = ""
        
        ' Write a ruler line to help locate fields
        For i = 1 To 8
            scrimg = scrimg & "0123456789"
        Next

        ' Break up the string into rows
        For i = 1 To rows
            scrimg = scrimg & vbCr & vbLf
            nextloc = ((i - 1) * cols) + 1
            scrimg = scrimg & Mid(scr, nextloc, cols)
        Next

        ' update the text box
        Scrdata.Text = scrimg
    Else
        Scrdata.Text = "Unable to get screen image"
    End If
    
    ' Make sure the insertion point is up to date
    Scrdata.SelStart = calc_real_loc
End Sub

Private Function calc_real_loc() As Integer
    ' function to return the location within the screen data area
    ' the first 82 bytes are the ruler and there is a cr-lf sequence
    ' every 80 bytes thereafter
    Dim cols As Integer
    Dim cursorrow As Integer
    Dim cursorcol As Integer
    Dim rc As Integer
    Dim attr As Variant
    Dim eattr As Variant
    Dim cattr As Variant
    
    ' get the number of columns
    cols = term3270.Columns
    
    ' get the cursor position
    cursorpos = term3270.GetCursorLoc()
    
    ' check if we are at an attribute byte
    ' if we are at an autoskip attribute, we will tab to the next
    ' input field automatically
    If fieldprot(cursorpos) = 3 Then
        ' get the row and column to
        cursorrow = (cursorpos \ cols)
        cursorcol = (cursorpos Mod cols)
        rc = term3270.GetFieldAttribute(cursorrow, cursorcol, attr, eattr, cattr)
        ' check for autoskip
        If rc = 0 And (attr And &H30) > 0 Then
            ' tab to the next unprotected field
            rc = term3270.keyin("&T1")
        End If
            
        ' get the cursor position
        cursorpos = term3270.GetCursorLoc()
    End If
    
    ' update the current cursor position
    cursorpos = term3270.GetCursorLoc()
    cursorrow = (cursorpos \ cols)
    cursorcol = (cursorpos Mod cols)
    
    ' calculate the position with the field
    calc_real_loc = cursorpos + ((cursorpos \ cols) * 2) + 82
End Function

Private Sub Update_Fields()
    Dim fldlocs As String
    Dim flddisp As String
    Dim rc As Integer
    
    ' clear the current display
    flds.Text = ""
    
    If term3270.numberFields = 0 Then
        flds.Text = "No fields defined"
    Else
        ' If we have any fields, get the locations
        fldlocs = term3270.GetFields
        
        ' break the string in to individual fields
        flddisp = "Fld Row Col Leng Attributes          " & vbCr & vbLf
        For i = 1 To term3270.numberFields
            flddisp = flddisp & Mid(fldlocs, ((i - 1) * intFieldItemLen) + 1, intFieldItemLen)
            flddisp = flddisp & vbCr & vbLf
        Next i
        
        ' Display the results
        flds.Text = flddisp
    End If
End Sub

Private Sub Update_Attr_Table()
    Dim i As Integer
    Dim prottab As String

    ' clear the protected/unprotected table
    clear_fieldprot
    
    ' get the characteristics of each field on the screen
    prottab = term3270.GetProtTable()
    For i = 0 To Len(prottab) - 1
        fieldprot(i) = Asc(Mid(prottab, i + 1, 1)) - Asc("0")
    Next i
End Sub

Private Sub update_status_bar(appstat As String)
    Dim resp As Long
    Dim secs As Long
    Dim milli As Long
    
    StatusBar.Panels("transid") = term3270.transid
    StatusBar.Panels("nextransid") = term3270.nextransid
    StatusBar.Panels("numflds") = term3270.numberFields
    StatusBar.Panels("numunprotflds") = term3270.numberUnprotFields
    StatusBar.Panels("hashsum") = term3270.GetScreenSum
    StatusBar.Panels("ApplStatus") = appstat
    resp = term3270.lastResponse
    secs = resp / 1000
    milli = resp Mod 1000
    StatusBar.Panels("resptime") = Str(secs) & "." & Format(milli, "000")
    
    update_cursor_pos
    
    If traceon_button.Enabled = False Then
        StatusBar.Panels("tracestat") = tracefile
    Else
        StatusBar.Panels("tracestat") = "Trace is turned off"
    End If
End Sub

Private Sub update_cursor_pos()
    Dim cursorrow As Integer
    Dim cursorcol As Integer
    Dim cols As Integer
    
    ' get the number of columns
    cols = term3270.Columns
    
    ' get the current cursor position
    cursorpos = term3270.GetCursorLoc()
    cursorrow = (cursorpos \ cols)
    cursorcol = (cursorpos Mod cols)
    
    StatusBar.Panels("cursorloc") = "(" & cursorrow & "," & cursorcol & ")"
End Sub

Private Sub Update_Event_Trace()
    Dim i As Integer
    Dim eventrace As String
    Dim strResult As String
    
    ' get the eventdata as a string
    eventrace = term3270.GetEventTrace
    
    ' format the results
    strResult = ""
    If Len(eventrace) > 0 Then
        For i = 1 To 100
            strResult = strResult & Mid(eventrace, ((i - 1) * 23) + 1, 23)
            strResult = strResult & vbCr & vbLf
        Next i
    End If
    
    ' display the results
    eventdata.Text = strResult
End Sub

Private Sub clear_fieldprot()
    Dim i As Integer
    
    ' initialize the field array
    For i = 0 To 4095
        fieldprot(i) = 0
    Next i
End Sub

Private Sub Scrdata_KeyUp(KeyCode As Integer, Shift As Integer)
    ' Set the new cursor position, allowing for the NL and LF characters and ruler
    Scrdata.SelStart = calc_real_loc
    Scrdata.SelLength = 0
End Sub

Private Sub Scrdata_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    ' This routine will move the cursor location to match where the mouse was released
    Dim newrow As Integer
    Dim newcol As Integer
    Dim rc As Integer
    
    ' ignore any selection
    Scrdata.SelLength = 0
    
    ' Calculate the new row and column
    newrow = Int((Y / Scrdata.Height) * 1.07 * (term3270.rows + 1)) - 1
    newcol = Int((X / Scrdata.Width) * 1.05 * term3270.Columns)
    
    If newrow < 0 Then
        newrow = 0
    End If
    
    If newrow >= term3270.rows Then
        newrow = term3270.rows - 1
    End If
    
    If newcol < 0 Then
        newcol = 0
    End If
    
    If newcol >= term3270.Columns Then
        newcol = term3270.Columns - 1
    End If
    
    rc = term3270.SetCursor(newrow, newcol)
    
    ' Set the new cursor position, allowing for the NL and LF characters and ruler
    Scrdata.SelStart = calc_real_loc
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub scrdata_KeyPress(keyascii As Integer)
    Dim rc As Integer
    Dim keystroke As String
    Dim real_loc As Integer
    
    
    ' process the keystroke
    ' check if it is less than a space character
    If keyascii >= 32 Then
        If fieldprot(cursorpos) = 0 Then
            ' get the location within the text field
            Scrdata.SelStart = calc_real_loc
            
            ' update the screen buffer
            keystroke = Chr(keyascii)
            
            ' Watch out for "escape characters", which must be doubled up
            If keystroke = "&" Then
                keystroke = "&&"
            End If
            
            rc = term3270.keyin(keystroke)
            
            If rc <> 0 Then
                keyascii = 0
                Beep
            Else
                ' select the current character
                Scrdata.SelLength = 1
            End If
            
        Else
            ' protected character - tell the user
            Beep
            ' don't accept the keystroke
            keyascii = 0
        End If
    Else
        ' already processed - ignore the character
        keyascii = 0
    End If
End Sub

Private Sub send_keystroke(keyst As String)
    Dim rc As Integer
    
    ' Type the character into the screen buffer
    rc = term3270.keyin(keyst)
    
    ' Update the cursor position
    update_cursor_pos
    
    ' Set the new cursor position, allowing for the NL and LF characters and ruler
    Scrdata.SelStart = calc_real_loc
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub


Private Sub send_attention(attnkey As String)
    Dim eventype As Variant
    Dim strStatus As String
    Dim strNextran As String
    Dim rc As Integer

    ' Initialize the variable
    eventype = 0
    
    ' Are we currently in a transaction?
    If term3270.transid = "" Then
        ' See if there is a next transid
        strNextran = term3270.nextransid
        
        ' Start the next transaction using the transid field
        rc = term3270.BeginTran(strNextran, attnkey)
        
        ' Check for next transid specified
        If strNextran <> "" Then
            Update_Screen_View ("Running Trans " + strNextran)
        Else
            Update_Screen_View ("Input Sent")
        End If
    Else
        ' Send the input to the host
        rc = term3270.SendInput(attnkey)
    End If
    
    ' check if it worked
    If rc = 0 Then
        ' wait for the transaction to end or request input
        rc = term3270.WaitEvent(eventype)
        
        ' Update the event trace
        Update_Event_Trace
    End If
    
    ' Update the screen image
    strStatus = transStatus(eventype)
    Update_Screen_View (strStatus)
End Sub

Private Function transStatus(eventype As Variant) As String
    ' Convert event type to status string
    Select Case eventype
    Case 2
        transStatus = "Waiting for Input"
    Case 3
        transStatus = "Transaction ended"
    Case 4
        transStatus = "ATI Tran Started"
    Case 5
        transStatus = "Terminal ended"
    Case Else
        transStatus = "Unknown status"
    End Select
End Function

Private Sub Scrdata_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim shiftdown As Integer
    Dim altdown As Integer
    Dim ctrldown As Integer
    
    ' Calculate if the shift key is pressed
    shiftdown = Shift And vbShiftMask
    altdown = Shift And vbAltMask
    ctrldown = Shift And vbCtrlMask
    
    Select Case KeyCode
    Case vbKeyF1
        If shiftdown = 0 Then
            send_attention (strPF1Key)
        Else
            send_attention (strPF13Key)
        End If
    Case vbKeyF2
        If shiftdown = 0 Then
            send_attention (strPF2Key)
        Else
            send_attention (strPF14Key)
        End If
    Case vbKeyF3
        If shiftdown = 0 Then
            send_attention (strPF3Key)
        Else
            send_attention (strPF15Key)
        End If
    Case vbKeyF4
        If shiftdown = 0 Then
            send_attention (strPF4Key)
        Else
            send_attention (strPF16Key)
        End If
    Case vbKeyF5
        If shiftdown = 0 Then
            send_attention (strPF5Key)
        Else
            send_attention (strPF17Key)
        End If
    Case vbKeyF6
        If shiftdown = 0 Then
            send_attention (strPF6Key)
        Else
            send_attention (strPF18Key)
        End If
    Case vbKeyF7
        If shiftdown = 0 Then
            send_attention (strPF7Key)
        Else
            send_attention (strPF19Key)
        End If
    Case vbKeyF8
        If shiftdown = 0 Then
            send_attention (strPF8Key)
        Else
            send_attention (strPF20Key)
        End If
    Case vbKeyF9
        If shiftdown = 0 Then
            send_attention (strPF9Key)
        Else
            send_attention (strPF21Key)
        End If
    Case vbKeyF10
        If shiftdown = 0 Then
            send_attention (strPF10Key)
        Else
            send_attention (strPF22Key)
        End If
    Case vbKeyF11
        If shiftdown = 0 Then
            send_attention (strPF11Key)
        Else
            send_attention (strPF23Key)
        End If
    Case vbKeyF12
        If shiftdown = 0 Then
            send_attention (strPF12Key)
        Else
            send_attention (strPF24Key)
        End If
    Case vbKeyEnter
        If shiftdown = 1 Then
            send_keystroke ("&N1")
            KeyCode = 0
        End If
    Case vbKeyLeft
        send_keystroke ("&L1")
        KeyCode = 0
    Case vbKeyUp
        send_keystroke ("&U1")
        KeyCode = 0
    Case vbKeyRight
        send_keystroke ("&R1")
        KeyCode = 0
    Case vbKeyDown
        send_keystroke ("&D1")
        KeyCode = 0
    Case vbKeyHome
        send_keystroke ("&HO")
        KeyCode = 0
    Case vbKeyDelete
        process_delete_key ("&DL")
        KeyCode = 0
    Case vbKeyEnd
        process_delete_key ("&EF")
        KeyCode = 0
    Case vbKeyBack
        ' make sure we aren't at the beginning of the screen
        If cursorpos > 0 Then
            ' make sure that the previous character can be deleted
            If fieldprot(cursorpos - 1) = 0 Then
                ' back up to the previous character
                send_keystroke ("&L1")
                
                ' delete this character
                process_delete_key ("&DL")
            Else
                Beep
            End If
        End If
        
        ' swallow the keystroke
        KeyCode = 0
    Case vbKeyEscape
        clear_Click
    
        ' swallow the keystroke
        KeyCode = 0
    End Select
    
    ' Always set the insertion point
    Scrdata.SelStart = calc_real_loc
End Sub

Private Sub process_delete_key(keyseq As String)
    ' make sure that we are in an input field
    If fieldprot(cursorpos) = 0 Then
        ' update the 3270 screen
        send_keystroke (keyseq)
        
        ' refresh the current screen buffer
        refresh_screen
    Else
        Beep
    End If
End Sub

Private Sub Enter_Click()
    send_attention (strEnterKey)
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub exit_Click()
    term3270.DeleteTerminal
    Unload Me
    End
End Sub

Private Sub tab_Click()
    ' send the keystroke to the terminal
    send_keystroke ("&T1")
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub backtab_Click()
    ' Type the character into the screen buffer
    send_keystroke ("&B1")
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub clear_Click()
    Dim eventype As Variant
    Dim strStatus As String
    Dim rc As Integer
    
    ' Initialize the variable
    eventype = 0
    
    ' clear the screen
    term3270.ClearScreen
    
    ' Clear the protected/unprotected array
    clear_fieldprot
    
    ' reset the cursor position
    cursorpos = 0
    
    ' Initialize the screen display
    initialize_screen
    
    ' send the keystroke to the host
    ' send_attention (strClearKey)
    
    ' Update the screen image
    Update_Screen_View ("Screen Cleared")
    
    ' check if we are in a transaction - if so, wait for an event, since we
    ' just replied to the last event
    If term3270.transid <> "" Then
        ' Update the status bar and screen view
        Update_Screen_View ("Transaction Running")
        
        ' wait for the next event
        rc = term3270.WaitEvent(eventype)
        
        ' Update the event trace
        Update_Event_Trace
        
    
        ' Update the screen image
        strStatus = transStatus(eventype)
        Update_Screen_View (strStatus)
    End If
    
    ' Set the new cursor position, allowing for the NL and LF characters and ruler
    Scrdata.SelStart = calc_real_loc
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub home_Click()
    ' send the keystroke to the terminal
    send_keystroke ("&HO")
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub pa1_Click()
    send_attention (strPA1Key)
End Sub

Private Sub pa2_Click()
    send_attention (strPA2Key)
End Sub

Private Sub pa3_Click()
    send_attention (strPA3Key)
End Sub

Private Sub ATI_Click()
    Dim eventype As Variant
    Dim strStatus As String
    Dim rc As Integer
        
    ' Initialize the variable
    eventype = 0
    
    ' Update the display view
    Update_Screen_View ("Checking for ATIs")
    
    ' Enable ATIs and issue a GetEvent
    rc = term3270.CheckATI(eventype)
    
    ' did we trigger an ATI event?
    If rc = 0 And eventype = intEventATI Then
        ' Update the event trace
        Update_Event_Trace
        
        ' Update the display view
        Update_Screen_View ("ATI Transaction Started")
        
        ' Wait for the next event
        rc = term3270.WaitEvent(eventype)
        
        ' Update the screen image
        strStatus = transStatus(eventype)
        Update_Screen_View (strStatus)
    Else
        ' Update the display view
        Update_Screen_View ("No ATIs Queued")
    End If
        
    ' Update the event trace
    Update_Event_Trace
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Private Sub Scrdata_GotFocus()
    ' Set the new cursor position, allowing for the NL and LF characters and ruler
    Scrdata.SelStart = calc_real_loc
End Sub

Public Sub trace_on()
    Dim rc As Integer
    
    ' Turn the trace on
    ' First, request date and time stamps
    rc = term3270.SetTrace(trctimeson, "")
    
    ' Open the trace file for this object instance
    rc = term3270.SetTrace(trcon, tracefile)
    
    ' Enable the trace off button, disable the trace on button
    traceon_button.Enabled = False
    traceapp_button.Enabled = False
    Traceoff_button.Enabled = True
End Sub

Private Sub traceon_button_Click()
    ' Turn the trace on, overwriting the current file
    trace_on
    
    ' Update the status bar
    update_status_bar ("trace turned on")
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Public Sub trace_off()
    Dim rc As Integer
    
    ' Turn the trace on
    rc = term3270.SetTrace(trcoff, "")
    
    ' Enable the trace on button, disable the trace off button
    traceon_button.Enabled = True
    traceapp_button.Enabled = True
    Traceoff_button.Enabled = False
End Sub

Private Sub traceoff_button_Click()
    ' Turn the trace off
    trace_off
    
    ' Update the status bar
    update_status_bar ("trace turned off")
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

Public Sub trace_append()
    Dim rc As Integer
    
    ' First, request date and time stamps
    rc = term3270.SetTrace(trctimeson, "")
    
    ' Turn the trace on, appending to the current file
    rc = term3270.SetTrace(trcappend, tracefile)
    
    ' Enable the trace off button, disable the trace on button
    traceon_button.Enabled = False
    traceapp_button.Enabled = False
    Traceoff_button.Enabled = True
    
End Sub

Private Sub traceapp_button_Click()
    ' Turn the trace on, appending to the current file
    trace_append
    
    ' Update the status bar
    update_status_bar ("trace on - appending")
    
    ' Give the focus to the screen area
    Scrdata.SetFocus
End Sub

